> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Mandates



## OpenAPI

````yaml /api-reference/Mandate/mand.json post /subscription/v1.0/getAllMandates
openapi: 3.0.3
info:
  title: Mandate API
  description: API's to add and get mandate information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /subscription/v1.0/getAllMandates:
    post:
      tags:
        - Mandate
      summary: Get All Mandates
      operationId: getAllMandates
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  description: Filter for getting all mandates
                  properties:
                    customerId:
                      type: string
                      format: MongoId
                      description: To filter all the mandates of a particular customer
                    status:
                      type: string
                      description: >-
                        To filter all the mandates based on the current status
                        of mandates
                    fromDate:
                      type: string
                      description: >-
                        To filter the mandates based on the created date of the
                        mandate.
                    toDate:
                      type: string
                      description: >-
                        To filter the mandates based on the created date of the
                        mandate.
                    subscriptionId:
                      type: string
                      format: MongoId
                      description: To filter all the mandates of a particular subscription.
                page:
                  type: number
                  description: To pass the number of page.
      responses:
        '200':
          description: Specific mandate details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getMandate'
components:
  schemas:
    getMandate:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: It will return mandate data
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.